Album: Blue Room
Date: February 5, 2020
Date Added: July 20, 2025
Artists:
- Pascal van den Bos
- Edward Esser
Cover Artists:
- Zorah Lagerwerf
- Pascal van den Bos
#Art Tags:
#- pascal
Cover Art File Extension: jpg
URLs:
- https://potatoboss.bandcamp.com/album/the-divide
Color: '#4245fc'
Groups:
- Pascal van den Bos
- Beyond
Crediting Sources: |-
    <i>Pascal van den Bos:</i> ([Bandcamp credits blurb](https://potatoboss.bandcamp.com/album/blue-room), excerpt)
    Cover art:
    Picture by: Zorah Lagerwerf

    Editing by: Pascal van den Bos
---
Track: Blue Room
Duration: 2:12
Artists:
- Pascal van den Bos (drums, sub, harp, synths, mixing)
- Edward Esser (vocals, piano, bass)
URLs:
- https://potatoboss.bandcamp.com/track/blue-room
Lyrics: |-
    It's blue, blue in your room
    The lights are purple but that's the truth, it's blue
    It's blue, blue in your room
    The lights are purple but that's the truth, it's blue
    
    We're smoking, we're lighting, it won't set fire, it's blue
    Cause blue is what we desire
    We're smoking, we're lighting, it won't set fire, it's blue
    Cause blue is what we desire

    Blue
    It's Blue
    
    It's blue, blue in your room
    The lights are purple but that's the truth, it's blue
    
    We're smoking, we're lighting, it won't set fire, it's blue
    Cause blue is what we desire
    We're smoking, we're lighting, it won't set fire, it's blue
    Cause blue is what we desire
    
    Huh, waar is het laatste akkoordje, DANGIT
Crediting Sources: |-
    <i>Pascal van den Bos:</i> ([Bandcamp credits blurb](https://potatoboss.bandcamp.com/track/blue-room))
    Vocals, Piano & Bass by: Edward Esser
    
    Drums, Sub, Harp, Synths & Mixing by: Pascal van den Bos
---
Track: Got No Clue
Duration: 2:04
Artists:
- Pascal van den Bos (drums, bass, horns, strings, saxophone, mixing)
- Edward Esser (vocals, piano)
Contributors:
- Zorah Lagerwerf (vocals)
URLs:
- https://potatoboss.bandcamp.com/track/got-no-clue
Lyrics: |-
    I really wanna know, what the fabric of your skin looks like
    But i can't tell so i must decide, on my own, yeah, yeah
    
    You make me sweaty and so nervous, gotta admit i am so curious
    For your skin, let me in, for your skin, let me in, for your skin
    
    I got no clue, it makes me crazy
    What should i do, don't make me haste it
    It should be right, up all night
    But first i gotta know what your skin looks like girl
    
    I really wanna know, how it feels to hold you close to me
    But i can't tell cause you keep walking, away, yeah, yeah
    
    You make me sweaty and so nervous, gotta admit i am so curious
    For your skin, let me in, for your skin, let me in, for your skin

    I got no clue, it makes me crazy
    What should i do, don't make me haste it
    It should be right, up all night
    But first i gotta know what your skin looks like girl
Crediting Sources: |-
    <i>Pascal van den Bos:</i> ([Bandcamp credits blurb](https://potatoboss.bandcamp.com/track/got-no-clue))
    Drums, Bass, Horns, Strings, Saxophone & Mixing by: Pascal van den Bos
    
    Vocals & Piano by: Edward Esser
    
    Vocals: Zorah Lagerwerf
---
Track: On My Mind
Duration: 2:18
Artists:
- Pascal van den Bos (synths, bass, drums, strings, oboe, saxophone, glockenspiel, mixing)
- Edward Esser (piano, vocals)
Sampled Tracks:
- Rock Your Baby
URLs:
- https://potatoboss.bandcamp.com/track/on-my-mind
Lyrics: |-
    Oh baby, you gotta know
    How much you mean to me
    I gotta tell you, yeah i know but first i wanna take it slow
    
    Yeah you know want i want you to do
    
    Yeah you know want i want from you.
    
    I just want your loving now, i just want your loving now
    I want you everyday, please dont go away
    I want you in my life
    
    Cause girl you're on my mind
    On my mind yeah
    I want you every day, please dont go away
    I want you in my life
Crediting Sources: |-
    <i>Pascal van den Bos:</i> ([Bandcamp credits blurb](https://potatoboss.bandcamp.com/track/on-my-mind))
    Piano & Vocals by: Edward Esser
    
    Synths, Bass, Drums, Strings, Oboe, Saxophone, Glockenspiel & Mixing by: Pascal van den Bos
    
    Rock Your Baby by: George McCrae
